Airwallex logo
Airwallex logoAirwallex logo

Config

Copy for LLMView as Markdown

You can view config for cards such as default and maximum limit when creating card and remote auth setting to process authorization on your side.

Endpoints
GET /api/v1/issuing/config
POST /api/v1/issuing/config/update

Get issuing config

GET /api/v1/issuing/config

Retrieve issuing config

Response body - 200 OK
blocked_transaction_usagesarray

Transaction usage settings. The default controls are set based on regulatory requirements and can only be reviewed by reaching out to an Account Services team member.

blocked_transaction_usages.transaction_scopestring

Types of transaction scope. It can be one of: ALL_TRANSACTIONS, ONLINE_TRANSACTION, CONTACTLESS_TRANSACTION, CONTACT_CHIP_TRANSACTION, MAGSTRIPE, CASH_WITHDRAWAL, BILL_PAYMENT, ACCOUNT_FUNDING

blocked_transaction_usages.usage_scopestring

Determines if a transaction can be made domestically and/or internationally. It can be one of: ALL, INTERNATIONAL, DOMESTIC

enable_auto_conversionboolean

Whether auto currency conversion is enabled.

primary_currencystring

The designated primary currency used as the funding source for auto currency conversion.

remote_auth_settingsobject

Remote authorization config. Please read the remote auth product documentation for more information. You will need to reach out to our support team to enable this feature for you.

remote_auth_settings.created_atstring

Remote auth config creation time

remote_auth_settings.default_actionstring

Default action when remote auth failed

AUTHORIZED, DECLINED

remote_auth_settings.enabledboolean

Remote auth config enabled flag, Airwallex will start sending remote auth request to your endpoint once this flag is enabled.

remote_auth_settings.shared_secretstring

Shared secret to verify our remote auth request. Please note this field only return once when you init remote auth config or request a new secret in the update request, get issuing setting always return null.

remote_auth_settings.updated_atstring

Remote auth config last update time

remote_auth_settings.urlstring

The url for your remote auth endpoint, we will send remote auth request to this endpoint when your config is enabled

remote_auth_settings.versioninteger

Specifies the remote auth payload version (1 or 2)

remote_call_configobject

Remote call config. You will need to reach out to our support team to enable this feature for you.

remote_call_config.methodsarray

Individual remote call method configs

remote_call_config.methods.namestring

Name of the method being configured

remote_call_config.methods.pathstring

Path that will be combined with url for remote calls

remote_call_config.shared_secretstring

Shared secret to verify remote call requests. Please note this field only return once when you init remote call config or request a new secret in the update request, get issuing setting always return null.

remote_call_config.urlstring

The base url for remote calls, which will be combined with the path supplied for individual methods

remote_provisioning_configobject

Digital wallet remote provisioning config. You will need to reach out to our support team to enable this feature for you.

remote_provisioning_config.default_actionstring

Default action when remote provisioning attempt fails

UNKNOWN, CONDITIONAL_APPROVAL, GENERIC_DECLINE

remote_provisioning_config.enabledboolean

Remote Provisioning config enabled flag, Airwallex will start sending remote provisioning requests to your endpoint once this flag is enabled.

spending_limit_settingsobject

Spending limit settings. The default and maximum limits can be modified by reaching out to an Account Services team member.

spending_limit_settings.per_transaction_limitsarray

PerTransaction Limit settings for all supported base currency

spending_limit_settings.per_transaction_limits.currencystring

Currency code of the card spending limit setting

spending_limit_settings.per_transaction_limits.defaultnumber

Default card spending limit amount of no limit set when create/update card

spending_limit_settings.per_transaction_limits.maximumnumber

Maximum spending limit user can set for the card. When create/update card, if spending limit exceed this amount, the create/update card request will be rejected

Errors
Error statusDescription
400

Possible errors: field_required, bad_request, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/issuing/config
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/issuing/config' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "blocked_transaction_usages": [
3 {
4 "transaction_scope": "MAGSTRIPE",
5 "usage_scope": "INTERNATIONAL"
6 },
7 {
8 "transaction_scope": "ONLINE_TRANSACTION",
9 "usage_scope": "ALL"
10 }
11 ],
12 "enable_auto_conversion": true,
13 "primary_currency": "USD",
14 "remote_auth_settings": {
15 "created_at": "2018-03-22T16:08:02+00:00",
16 "default_action": "DECLINED",
17 "enabled": true,
18 "shared_secret": "50qJEcIBT36Fg5DU1pxV1HSAcTPDA8etZnb5fYObi70BcCT52q19PFxyfkXd",
19 "updated_at": "2018-03-22T16:08:02+00:00",
20 "url": "https://your.domain/remote-auth"
21 },
22 "remote_call_config": {
23 "methods": [
24 {
25 "name": "Echo",
26 "path": "/echo"
27 }
28 ],
29 "shared_secret": "50qJEcIBT36Fg5DU1pxV1HSAcTPDA8etZnb5fYObi70BcCT52q19PFxyfkXd",
30 "url": "https://your.domain"
31 },
32 "remote_provisioning_config": {
33 "default_action": "UNKNOWN",
34 "enabled": true
35 },
36 "spending_limit_settings": {
37 "per_transaction_limits": [
38 {
39 "currency": "AUD",
40 "default": 1000,
41 "maximum": 1000
42 }
43 ]
44 }
45}
Was this section helpful?

Update issuing config

POST /api/v1/issuing/config/update

Update issuing config (currently only support remote call config update)

Request body
enable_auto_conversionboolean

Whether auto currency conversion is enabled.

primary_currencystring

The designated primary currency used as the funding source for auto currency conversion.

remote_authobject

Remote authorization config. Please read the remote auth product documentation for more information. You will need to reach out to our support team to enable this feature for you.

remote_auth.default_actionstring

Default action when remote auth failed - AUTHORIZED or DECLINED

remote_auth.enabledboolean

Remote auth feature enabled flag

remote_auth.new_shared_secretboolean

Should create a new shared secret for remote auth

remote_auth.urlstring

The url for your remote auth endpoint, this is a mandatory field when you init your remote auth config

remote_auth.versioninteger

Specifies the remote auth payload version (1 or 2). Defaults to 2 on creation. If omitted during updates, the existing value is retained.

remote_call_configobject

Remote call config. You will need to reach out to our support team to enable this feature for you.

remote_call_config.methodsarray

Individual remote call method configs

remote_call_config.methods.namestring

Name of the method being configured

remote_call_config.methods.pathstring

Path that will be combined with url for remote calls

remote_call_config.shared_secretstring

Shared secret to verify remote call requests. Please note this field only return once when you init remote call config or request a new secret in the update request, get issuing setting always return null.

remote_call_config.urlstring

The base url for remote calls, which will be combined with the path supplied for individual methods

remote_provisioning_configobject

Remote provisioning config. You will need to reach out to our support team to enable this feature for you.

remote_provisioning_config.default_actionstring

Default action when remote provisioning attempt fails

UNKNOWN, CONDITIONAL_APPROVAL, GENERIC_DECLINE

remote_provisioning_config.enabledboolean

Remote Provisioning config enabled flag, Airwallex will start sending remote provisioning requests to your endpoint once this flag is enabled.

Response body - 200 OK
blocked_transaction_usagesarray

Transaction usage settings. The default controls are set based on regulatory requirements and can only be reviewed by reaching out to an Account Services team member.

blocked_transaction_usages.transaction_scopestring

Types of transaction scope. It can be one of: ALL_TRANSACTIONS, ONLINE_TRANSACTION, CONTACTLESS_TRANSACTION, CONTACT_CHIP_TRANSACTION, MAGSTRIPE, CASH_WITHDRAWAL, BILL_PAYMENT, ACCOUNT_FUNDING

blocked_transaction_usages.usage_scopestring

Determines if a transaction can be made domestically and/or internationally. It can be one of: ALL, INTERNATIONAL, DOMESTIC

enable_auto_conversionboolean

Whether auto currency conversion is enabled.

primary_currencystring

The designated primary currency used as the funding source for auto currency conversion.

remote_auth_settingsobject

Remote authorization config. Please read the remote auth product documentation for more information. You will need to reach out to our support team to enable this feature for you.

remote_auth_settings.created_atstring

Remote auth config creation time

remote_auth_settings.default_actionstring

Default action when remote auth failed

AUTHORIZED, DECLINED

remote_auth_settings.enabledboolean

Remote auth config enabled flag, Airwallex will start sending remote auth request to your endpoint once this flag is enabled.

remote_auth_settings.shared_secretstring

Shared secret to verify our remote auth request. Please note this field only return once when you init remote auth config or request a new secret in the update request, get issuing setting always return null.

remote_auth_settings.updated_atstring

Remote auth config last update time

remote_auth_settings.urlstring

The url for your remote auth endpoint, we will send remote auth request to this endpoint when your config is enabled

remote_auth_settings.versioninteger

Specifies the remote auth payload version (1 or 2)

remote_call_configobject

Remote call config. You will need to reach out to our support team to enable this feature for you.

remote_call_config.methodsarray

Individual remote call method configs

remote_call_config.methods.namestring

Name of the method being configured

remote_call_config.methods.pathstring

Path that will be combined with url for remote calls

remote_call_config.shared_secretstring

Shared secret to verify remote call requests. Please note this field only return once when you init remote call config or request a new secret in the update request, get issuing setting always return null.

remote_call_config.urlstring

The base url for remote calls, which will be combined with the path supplied for individual methods

remote_provisioning_configobject

Digital wallet remote provisioning config. You will need to reach out to our support team to enable this feature for you.

remote_provisioning_config.default_actionstring

Default action when remote provisioning attempt fails

UNKNOWN, CONDITIONAL_APPROVAL, GENERIC_DECLINE

remote_provisioning_config.enabledboolean

Remote Provisioning config enabled flag, Airwallex will start sending remote provisioning requests to your endpoint once this flag is enabled.

spending_limit_settingsobject

Spending limit settings. The default and maximum limits can be modified by reaching out to an Account Services team member.

spending_limit_settings.per_transaction_limitsarray

PerTransaction Limit settings for all supported base currency

spending_limit_settings.per_transaction_limits.currencystring

Currency code of the card spending limit setting

spending_limit_settings.per_transaction_limits.defaultnumber

Default card spending limit amount of no limit set when create/update card

spending_limit_settings.per_transaction_limits.maximumnumber

Maximum spending limit user can set for the card. When create/update card, if spending limit exceed this amount, the create/update card request will be rejected

Errors
Error statusDescription
400

Possible errors: field_required, bad_request, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

POST /api/v1/issuing/config/update
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/issuing/config/update' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "enable_auto_conversion": true,
> "primary_currency": "USD",
> "remote_auth": {
> "default_action": "DECLINED",
> "enabled": true,
> "new_shared_secret": true,
> "url": "https://your.domain/remote-auth",
> "version": 2
> },
> "remote_call_config": {
> "methods": [
> {
> "name": "Echo",
> "path": "/echo"
> }
> ],
> "shared_secret": "50qJEcIBT36Fg5DU1pxV1HSAcTPDA8etZnb5fYObi70BcCT52q19PFxyfkXd",
> "url": "https://your.domain"
> },
> "remote_provisioning_config": {
> "default_action": "UNKNOWN",
> "enabled": true
> }
>}'
Response (200 OK)
1{
2 "blocked_transaction_usages": [
3 {
4 "transaction_scope": "MAGSTRIPE",
5 "usage_scope": "INTERNATIONAL"
6 },
7 {
8 "transaction_scope": "ONLINE_TRANSACTION",
9 "usage_scope": "ALL"
10 }
11 ],
12 "enable_auto_conversion": true,
13 "primary_currency": "USD",
14 "remote_auth_settings": {
15 "created_at": "2018-03-22T16:08:02+00:00",
16 "default_action": "DECLINED",
17 "enabled": true,
18 "shared_secret": "50qJEcIBT36Fg5DU1pxV1HSAcTPDA8etZnb5fYObi70BcCT52q19PFxyfkXd",
19 "updated_at": "2018-03-22T16:08:02+00:00",
20 "url": "https://your.domain/remote-auth"
21 },
22 "remote_call_config": {
23 "methods": [
24 {
25 "name": "Echo",
26 "path": "/echo"
27 }
28 ],
29 "shared_secret": "50qJEcIBT36Fg5DU1pxV1HSAcTPDA8etZnb5fYObi70BcCT52q19PFxyfkXd",
30 "url": "https://your.domain"
31 },
32 "remote_provisioning_config": {
33 "default_action": "UNKNOWN",
34 "enabled": true
35 },
36 "spending_limit_settings": {
37 "per_transaction_limits": [
38 {
39 "currency": "AUD",
40 "default": 1000,
41 "maximum": 1000
42 }
43 ]
44 }
45}
Was this section helpful?